Create Lead
curl --request POST \
--url https://api.plura.ai/v1/lead/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record": {
"phone": "5558675309",
"first_name": "John",
"last_name": "Doe"
}
}
'import requests
url = "https://api.plura.ai/v1/lead/create"
payload = { "record": {
"phone": "5558675309",
"first_name": "John",
"last_name": "Doe"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({record: {phone: '5558675309', first_name: 'John', last_name: 'Doe'}})
};
fetch('https://api.plura.ai/v1/lead/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Lead has been created.",
"lead": {
"phone": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timezone": "America/New_York",
"lead_id": "<string>"
}
}{
"status": "failed",
"message": "Human-readable error description"
}{
"status": "failed",
"message": "Lead exists please use the update method to change any values.",
"lead": {
"lead_id": "<string>",
"phone": "<string>",
"first_name": "<string>"
}
}Leads
Create Lead
Create a new lead record in your Plura workspace.
If a lead with the same phone number already exists, the API returns a 409 with the existing lead’s details. Use the Update Lead endpoint to modify existing leads.
Phone number handling: If the phone number does not include a country code, the API automatically prepends 1 (US). Send digits only — no +, spaces, or dashes.
POST
/
lead
/
create
Create Lead
Authorizations
API key from Settings → API Keys in your workspace
Body
application/json
Show child attributes
Show child attributes
⌘I